#3052 closed defect (fixed)

RSB: powerpc GDB build broken on Apple Darwin

Reported by: Sebastian Huber Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

RTEMS Tools Project - Source Builder Error Report
 Build: error: building powerpc-rtems4.12-gdb-7.12-x86_64-apple-darwin14.5.0-1
 Command Line: ../source-builder/sb-set-builder --prefix=~/rtems/4.12 4.12/rtems-powerpc
 Python: 2.7.10 (default, Jul 14 2015, 19:46:27) [GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.39)]
 git://git.rtems.org/rtems-source-builder.git/origin/cb3fac1ea71f50b1bf7dcfe032c639392915d32a-modified
 Darwin yrael.lan 14.5.0 Darwin Kernel Version 14.5.0: Sun Sep 25 22:07:15 PDT 2016; root:xnu-2782.50.9~1/RELEASE_X86_64 x86_64
Tail of the build log:
                                                                          ^
../../gdb-7.12/gdb/common/vec.h:711:18: note: expanded from macro '\
DEF_VEC_FUNC_P'
static inline T *VEC_OP (T,address)                                       \
                 ^
../../gdb-7.12/gdb/common/vec.h:399:22: note: expanded from macro 'VEC_OP'
#define VEC_OP(T,OP) VEC_##T##_##OP
                     ^
<scratch space>:151:1: note: expanded from here
VEC_tp_t_address
^
../../gdb-7.12/gdb/record-btrace.c:2445:1: warning: unused function 'VEC_tp_t_lower_bound' [-Wunused-function]
../../gdb-7.12/gdb/common/vec.h:428:20: note: expanded from macro 'DEF_VEC_P'
VEC_T(T);                                                                 \
                                                                          ^
../../gdb-7.12/gdb/common/vec.h:717:24: note: expanded from macro '\
DEF_VEC_FUNC_P'
static inline unsigned VEC_OP (T,lower_bound)                             \
                       ^
../../gdb-7.12/gdb/common/vec.h:399:22: note: expanded from macro 'VEC_OP'
#define VEC_OP(T,OP) VEC_##T##_##OP
                     ^
<scratch space>:155:1: note: expanded from here
VEC_tp_t_lower_bound
^
../../gdb-7.12/gdb/record-btrace.c:2445:1: warning: unused function 'VEC_tp_t_alloc' [-Wunused-function]
../../gdb-7.12/gdb/common/vec.h:429:27: note: expanded from macro 'DEF_VEC_P'
DEF_VEC_FUNC_P(T)                                                         \
                                                                          ^
../../gdb-7.12/gdb/common/vec.h:744:23: note: expanded from macro '\
DEF_VEC_ALLOC_FUNC_P'
static inline VEC(T) *VEC_OP (T,alloc)                                    \
                      ^
../../gdb-7.12/gdb/common/vec.h:399:22: note: expanded from macro 'VEC_OP'
#define VEC_OP(T,OP) VEC_##T##_##OP
                     ^
<scratch space>:166:1: note: expanded from here
VEC_tp_t_alloc
^
../../gdb-7.12/gdb/record-btrace.c:2445:1: warning: unused function 'VEC_tp_t_free' [-Wunused-function]
../../gdb-7.12/gdb/common/vec.h:429:27: note: expanded from macro 'DEF_VEC_P'
DEF_VEC_FUNC_P(T)                                                         \
                                                                          ^
../../gdb-7.12/gdb/common/vec.h:751:20: note: expanded from macro '\
DEF_VEC_ALLOC_FUNC_P'
static inline void VEC_OP (T,free)                                        \
                   ^
../../gdb-7.12/gdb/common/vec.h:399:22: note: expanded from macro 'VEC_OP'
#define VEC_OP(T,OP) VEC_##T##_##OP
                     ^
<scratch space>:170:1: note: expanded from here
VEC_tp_t_free
^
../../gdb-7.12/gdb/record-btrace.c:2445:1: warning: unused function 'VEC_tp_t_merge' [-Wunused-function]
../../gdb-7.12/gdb/common/vec.h:429:27: note: expanded from macro 'DEF_VEC_P'
DEF_VEC_FUNC_P(T)                                                         \
                                                                          ^
../../gdb-7.12/gdb/common/vec.h:784:23: note: expanded from macro '\
DEF_VEC_ALLOC_FUNC_P'
static inline VEC(T) *VEC_OP (T,merge) (VEC(T) *vec1_, VEC(T) *vec2_)     \
                      ^
../../gdb-7.12/gdb/common/vec.h:399:22: note: expanded from macro 'VEC_OP'
#define VEC_OP(T,OP) VEC_##T##_##OP
                     ^
<scratch space>:187:1: note: expanded from here
VEC_tp_t_merge
^
../../gdb-7.12/gdb/record-btrace.c:2445:1: warning: unused function 'VEC_tp_t_safe_grow' [-Wunused-function]
../../gdb-7.12/gdb/common/vec.h:429:27: note: expanded from macro 'DEF_VEC_P'
DEF_VEC_FUNC_P(T)                                                         \
                                                                          ^
../../gdb-7.12/gdb/common/vec.h:817:20: note: expanded from macro '\
DEF_VEC_ALLOC_FUNC_P'
static inline void VEC_OP (T,safe_grow)                                   \
                   ^
../../gdb-7.12/gdb/common/vec.h:399:22: note: expanded from macro 'VEC_OP'
#define VEC_OP(T,OP) VEC_##T##_##OP
                     ^
<scratch space>:205:1: note: expanded from here
VEC_tp_t_safe_grow
^
../../gdb-7.12/gdb/record-btrace.c:2445:1: warning: unused function 'VEC_tp_t_safe_insert' [-Wunused-function]
../../gdb-7.12/gdb/common/vec.h:429:27: note: expanded from macro 'DEF_VEC_P'
DEF_VEC_FUNC_P(T)                                                         \
                                                                          ^
../../gdb-7.12/gdb/common/vec.h:835:18: note: expanded from macro '\
DEF_VEC_ALLOC_FUNC_P'
static inline T *VEC_OP (T,safe_insert)                                   \
                 ^
../../gdb-7.12/gdb/common/vec.h:399:22: note: expanded from macro 'VEC_OP'
#define VEC_OP(T,OP) VEC_##T##_##OP
                     ^
<scratch space>:225:1: note: expanded from here
VEC_tp_t_safe_insert
^
2 warnings generated.
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o debug.o -MT debug.o -MMD -MP -MF .deps/debug.Tpo ../../gdb-7.12/gdb/debug.c
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o common-exceptions.o -MT common-exceptions.o -MMD -MP -MF .deps/common-exceptions.Tpo ../../gdb-7.12/gdb/common/common-exceptions.c
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o btrace-common.o -MT btrace-common.o -MMD -MP -MF .deps/btrace-common.Tpo ../../gdb-7.12/gdb/common/btrace-common.c
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o fileio.o -MT fileio.o -MMD -MP -MF .deps/fileio.Tpo ../../gdb-7.12/gdb/common/fileio.c
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
2 warnings generated.
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o common-regcache.o -MT common-regcache.o -MMD -MP -MF .deps/common-regcache.Tpo ../../gdb-7.12/gdb/common/common-regcache.c
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
2 warnings generated.
2 warnings generated.
2 warnings generated.
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o compile.o -MT compile.o -MMD -MP -MF .deps/compile.Tpo ../../gdb-7.12/gdb/compile/compile.c
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o compile-c-symbols.o -MT compile-c-symbols.o -MMD -MP -MF .deps/compile-c-symbols.Tpo ../../gdb-7.12/gdb/compile/compile-c-symbols.c
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o compile-c-types.o -MT compile-c-types.o -MMD -MP -MF .deps/compile-c-types.Tpo ../../gdb-7.12/gdb/compile/compile-c-types.c
2 warnings generated.
2 warnings generated.
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o compile-object-load.o -MT compile-object-load.o -MMD -MP -MF .deps/compile-object-load.Tpo ../../gdb-7.12/gdb/compile/compile-object-load.c
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o compile-object-run.o -MT compile-object-run.o -MMD -MP -MF .deps/compile-object-run.Tpo ../../gdb-7.12/gdb/compile/compile-object-run.c
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
2 warnings generated.
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o compile-loc2c.o -MT compile-loc2c.o -MMD -MP -MF .deps/compile-loc2c.Tpo ../../gdb-7.12/gdb/compile/compile-loc2c.c
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
2 warnings generated.
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o compile-c-support.o -MT compile-c-support.o -MMD -MP -MF .deps/compile-c-support.Tpo ../../gdb-7.12/gdb/compile/compile-c-support.c
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
2 warnings generated.
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o inflow.o -MT inflow.o -MMD -MP -MF .deps/inflow.Tpo ../../gdb-7.12/gdb/inflow.c
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
2 warnings generated.
../../gdb-7.12/gdb/compile/compile-loc2c.c:733:6: warning: variable 'uoffset' is uninitialized when used here [-Wuninitialized]
            uoffset += dwarf2_per_cu_text_offset (per_cu);
            ^~~~~~~
../../gdb-7.12/gdb/compile/compile-loc2c.c:671:23: note: initialize the variable 'uoffset' to silence this warning
      uint64_t uoffset, reg;
                      ^
                       = 0
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
2 warnings generated.
2 warnings generated.
17 warnings generated.
2 warnings generated.
3 warnings generated.
2 warnings generated.
99 warnings generated.
Making init.c
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -I. -I../../gdb-7.12/gdb -I../../gdb-7.12/gdb/common -I../../gdb-7.12/gdb/config -DLOCALEDIR="\"/rtems-source-builder/rtems/~/rtems/4.12/share/locale\"" -DHAVE_CONFIG_H -I../../gdb-7.12/gdb/../include/opcode -I../../gdb-7.12/gdb/../opcodes/.. -I../../gdb-7.12/gdb/../readline/.. -I../../gdb-7.12/gdb/../zlib -I../bfd -I../../gdb-7.12/gdb/../bfd -I../../gdb-7.12/gdb/../include -I../libdecnumber -I../../gdb-7.12/gdb/../libdecnumber  -I../../gdb-7.12/gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include  -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-write-strings -Wno-narrowing -Wformat-nonliteral  -c -o init.o -MT init.o -MMD -MP -MF .deps/init.Tpo init.c
clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
2 warnings generated.
rm -f gdb
/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/include -g -O2   -Wl,-no_pie -L/rtems-source-builder/rtems/build/tmp/sb-peer/4.12/rtems-powerpc/rtems-source-builder/rtems/~/rtems/4.12/lib   \
		-o gdb gdb.o rs6000-tdep.o ppc-sysv-tdep.o solib-svr4.o ravenscar-thread.o ppc-ravenscar-thread.o ser-base.o ser-unix.o ser-pipe.o ser-tcp.o  remote.o dcache.o tracepoint.o ax-general.o ax-gdb.o remote-fileio.o remote-notif.o ctf.o tracefile.o tracefile-tfile.o remote-sim.o cli-dump.o cli-decode.o cli-script.o cli-cmds.o cli-setshow.o cli-logging.o cli-interp.o cli-utils.o mi-out.o mi-console.o mi-cmds.o mi-cmd-catch.o mi-cmd-env.o mi-cmd-var.o mi-cmd-break.o mi-cmd-stack.o mi-cmd-file.o mi-cmd-disas.o mi-symbol-cmds.o mi-cmd-target.o mi-cmd-info.o mi-interp.o mi-main.o mi-parse.o mi-getopt.o tui-command.o tui-data.o tui-disasm.o tui-file.o tui-hooks.o tui-interp.o tui-io.o tui-layout.o tui-out.o tui-regs.o tui-source.o tui-stack.o tui-win.o tui-windata.o tui-wingeneral.o tui-winsource.o tui.o python.o py-arch.o py-auto-load.o py-block.o py-bpevent.o py-breakpoint.o py-cmd.o py-continueevent.o py-xmethods.o py-event.o py-evtregistry.o py-evts.o py-exitedevent.o py-finishbreakpoint.o py-frame.o py-framefilter.o py-function.o py-gdb-readline.o py-inferior.o py-infevents.o py-infthread.o py-lazy-string.o py-linetable.o py-newobjfileevent.o py-objfile.o py-param.o py-prettyprint.o py-progspace.o py-signalevent.o py-stopevent.o py-symbol.o py-symtab.o py-threadevent.o py-type.o py-unwind.o py-utils.o py-value.o py-varobj.o guile.o elfread.o stap-probe.o dtrace-probe.o posix-hdep.o posix-strerror.o c-exp.o cp-name-parser.o ada-exp.o jv-exp.o d-exp.o f-exp.o go-exp.o m2-exp.o p-exp.o rust-exp.o version.o annotate.o addrmap.o auto-load.o auxv.o agent.o bfd-target.o blockframe.o breakpoint.o break-catch-sig.o break-catch-throw.o break-catch-syscall.o findvar.o regcache.o cleanups.o charset.o continuations.o corelow.o disasm.o dummy-frame.o dfp.o source.o value.o eval.o valops.o valarith.o valprint.o printcmd.o block.o symtab.o psymtab.o symfile.o symfile-debug.o symmisc.o linespec.o dictionary.o namespace.o location.o infcall.o infcmd.o infrun.o expprint.o environ.o stack.o tid-parse.o thread.o thread-fsm.o exceptions.o extension.o filesystem.o filestuff.o inf-child.o interps.o minidebug.o main.o macrotab.o macrocmd.o macroexp.o macroscope.o mi-common.o event-loop.o event-top.o inf-loop.o completer.o gdbarch.o arch-utils.o gdbtypes.o gdb_bfd.o gdb_obstack.o osabi.o copying.o memattr.o mem-break.o target.o target-dcache.o parse.o language.o build-id.o buildsym.o findcmd.o std-regs.o signals-state-save-restore.o signals.o exec.o reverse.o bcache.o objfiles.o observer.o minsyms.o maint.o demangle.o dbxread.o coffread.o coff-pe-read.o dwarf2read.o mipsread.o stabsread.o corefile.o dwarf2expr.o dwarf2loc.o dwarf2-frame.o dwarf2-frame-tailcall.o ada-lang.o c-lang.o d-lang.o f-lang.o objc-lang.o ada-tasks.o ada-varobj.o c-varobj.o ui-out.o cli-out.o varobj.o vec.o go-lang.o go-valprint.o go-typeprint.o jv-lang.o jv-valprint.o jv-typeprint.o jv-varobj.o m2-lang.o opencl-lang.o p-lang.o p-typeprint.o p-valprint.o selftest.o sentinel-frame.o complaints.o typeprint.o ada-typeprint.o c-typeprint.o f-typeprint.o m2-typeprint.o ada-valprint.o c-valprint.o cp-valprint.o d-valprint.o f-valprint.o m2-valprint.o ser-event.o serial.o mdebugread.o top.o utils.o ui-file.o user-regs.o frame.o frame-unwind.o doublest.o frame-base.o inline-frame.o gnu-v2-abi.o gnu-v3-abi.o cp-abi.o cp-support.o cp-namespace.o d-namespace.o reggroups.o rust-lang.o trad-frame.o tramp-frame.o solib.o solib-target.o prologue-value.o memory-map.o memrange.o xml-support.o xml-syscall.o xml-utils.o target-descriptions.o target-memory.o xml-tdesc.o xml-builtin.o inferior.o osdata.o gdb_usleep.o record.o record-full.o gcore.o gdb_vecs.o jit.o progspace.o skip.o probe.o common-utils.o buffer.o ptid.o gdb-dlfcn.o common-agent.o format.o registry.o btrace.o record-btrace.o waitstatus.o print-utils.o rsp-low.o errors.o common-debug.o debug.o common-exceptions.o btrace-common.o fileio.o common-regcache.o compile.o compile-c-symbols.o compile-c-types.o compile-object-load.o compile-object-run.o compile-loc2c.o compile-c-support.o inflow.o    init.o \
		  ../sim/ppc/libsim.a ../readline/libreadline.a ../opcodes/libopcodes.a ../bfd/libbfd.a -L./../zlib -lz  ../libiberty/libiberty.a ../libdecnumber/libdecnumber.a    -lncurses -lm   -L/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/config -ldl -framework CoreFoundation -lpython2.7 -u _PyMac_Error /System/Library/Frameworks/Python.framework/Versions/2.7/Python -lexpat    ../libiberty/libiberty.a  build-gnulib/import/libgnu.a -liconv 
Undefined symbols for architecture x86_64:
  "_error", referenced from:
      _sim_io_printf_filtered in libsim.a(sim_calls.o)
      _sim_load in libsim.a(sim_calls.o)
      _sim_create_inferior in libsim.a(sim_calls.o)
      _sim_io_read_stdin in libsim.a(sim_calls.o)
      _sim_io_write_stdout in libsim.a(sim_calls.o)
      _sim_io_write_stderr in libsim.a(sim_calls.o)
      _sim_io_flush_stdoutput in libsim.a(sim_calls.o)
      ...
     (maybe you meant: _device_error, __Z20host_to_fileio_errori , _bfd_get_error_handler , __bfd_default_error_handler , _bfd_set_error_handler , _bfd_set_error_program_name , __Z28dwarf_reg_to_regnum_or_errorP7gdbarchm , __Z29observer_detach_command_errorP8observer , _sim_io_error , _deprecated_error_begin_hook , __Z35throw_max_completions_reached_errorv , __Z25type_name_no_tag_or_errorP4type , __Z12memory_error18target_xfer_statusm , __bfd_error_handler , __Z20annotate_error_beginv , __Z19compile_rx_or_errorP17re_pattern_bufferPKcS2_ , __Z12catch_errorsPFiPvES_Pc11return_mask , __Z20memory_error_message18target_xfer_statusP7gdbarchm , __Z11range_errorPKcz , __Z13gdb_xml_errorP14gdb_xml_parserPKcz , __Z29observer_notify_command_errorv , _gdbpy_gdb_memory_error , _bfd_set_error , __Z23invalid_thread_id_errorPKc , __Z11throw_error6errorsPKcz , _gdbpy_gdb_error , __Z14gdb_bfd_errmsg9bfd_errorPPc , __Z29observer_attach_command_errorPFvvE , __Z27gdbpy_print_python_errors_pv , _bfd_get_error , __Z14internal_errorPKciS0_z , __Z17get_regcomp_erroriP17re_pattern_buffer , __Z14annotate_errorv )
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [gdb] Error 1
make[1]: *** [all-gdb] Error 2
make: *** [all] Error 2
shell cmd failed: /bin/sh -ex  /rtems-source-builder/rtems/build/powerpc-rtems4.12-gdb-7.12-x86_64-apple-darwin14.5.0-1/doit
error: building powerpc-rtems4.12-gdb-7.12-x86_64-apple-darwin14.5.0-1

Change History (2)

comment:1 Changed on Jun 23, 2017 at 5:33:59 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 21a9010/rtems-source-builder:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems-source-builder.git does not appear to be a Git repository.

comment:2 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.